Bug 1045472 - battstat-applet-2 shows wrong state
Summary: battstat-applet-2 shows wrong state
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1045508 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 14:21 UTC by pgaltieri
Modified: 2017-08-08 11:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:44:19 UTC
Type: Bug


Attachments (Terms of Use)
/proc/cpuinfo (3.91 KB, text/plain)
2013-12-20 14:21 UTC, pgaltieri
no flags Details

Description pgaltieri 2013-12-20 14:21:36 UTC
Created attachment 839575 [details]
/proc/cpuinfo

Description of problem:
I added the battstat-applet-2 to my top panel of my mate desktop.  I tells me:
"System is running on AC power No battery present".

This is wrong, since I'm running on a laptop and I'm not plugged into AC power.

Version-Release number of selected component (if applicable):
mate-applets-1.6.1-8.fc19.x86_64


How reproducible:
Always

Steps to Reproduce:
1. click on top panel and select "Add to panel"
2. select "Battery charge monitor"
3.

Actual results:
Tells me I'm plugged into AC power and no battery present.

Expected results:
It should tell me the current battery charge.

Additional info:
There is another battery charge monitor which sometimes shows up in the notification area of the top panel, but I have no idea how to find that applet and lock it to the notification area.

Comment 1 Wolfgang Ulbrich 2013-12-25 07:52:29 UTC
(In reply to pgaltieri from comment #0)
> Additional info:
> There is another battery charge monitor which sometimes shows up in the
> notification area of the top panel, but I have no idea how to find that
> applet and lock it to the notification area.
Go to mate-control-center/powermanagement/generally_tap and mark 'show icon evertime'
Sorry, i can't reproduce it, here on my asus fx700 it works.

Comment 2 Wolfgang Ulbrich 2013-12-25 07:59:26 UTC
*** Bug 1045508 has been marked as a duplicate of this bug. ***

Comment 3 Wolfgang Ulbrich 2013-12-29 13:10:33 UTC
I tested it again on my notebook for f20/rawhide.
Here both applets (from mate-power-manager and batstatt) are working well.
So i quess it is an issue with your hardware, maybe your MB doesn't follow standards correctly.

Comment 4 pgaltieri 2013-12-29 13:49:21 UTC
Here's the scenario where it fails for me.  Power off the laptop and then power it back on with the AC power cord unplugged.  After login add the battery-applet to the panel.  What it shows is that I'm running on AC with no battery present.  Also the mate-power-manager applet does not appear in the notification area. Now plug in the AC power cable.  The mate-power-manager applet appears in the notification area and the battery applet now states I'm running on AC and that the battery is charged.  If I unplug the AC then the battery applet correctly states I'm running on battery.

The problem seems to be on identifying power state on boot.  After the system is up and you plug in or pull out the AC cord the system then correctly identifies the power state.

Comment 5 pgaltieri 2013-12-29 13:51:26 UTC
Just a note - doing a reboot does not cause the problem to appear.  You must power the system off.

Comment 6 Wolfgang Ulbrich 2013-12-29 14:49:11 UTC
(In reply to pgaltieri from comment #4)
> Here's the scenario where it fails for me.  Power off the laptop and then
> power it back on with the AC power cord unplugged.  After login add the
> battery-applet to the panel.  What it shows is that I'm running on AC with
> no battery present.  Also the mate-power-manager applet does not appear in
> the notification area. Now plug in the AC power cable.  The
> mate-power-manager applet appears in the notification area and the battery
> applet now states I'm running on AC and that the battery is charged.  If I
> unplug the AC then the battery applet correctly states I'm running on
> battery.
> 
> The problem seems to be on identifying power state on boot.  After the
> system is up and you plug in or pull out the AC cord the system then
> correctly identifies the power state.
Ok, in the end batstatt applet/powermanager-applet use upower for identificate the status of battery and power.
Can you check with 'upower --monitor-detail' the status? (unplug/plug) cable
Does it report the correct battery percentage (listed as "percentage:") or the incorrect one you see in mate-power-manager's warning?

It could also be possible that you system needs to enable the upower.service.
check with 
systemctl list-unit-files
systemctl enable upower.service

Here on my notebook it works without enable upower.service.
I found this issue also at mate github
https://github.com/mate-desktop/mate-power-manager/issues/11
Here it was an issue with upower.

Comment 7 pgaltieri 2013-12-29 15:48:15 UTC
I powered the laptop off and then on with the AC cable unplugged.  I ran

upower --monitor-detail

it displayed

Monitoring activity from the power daemon. Press Ctrl+C to cancel.

I waited 2 minutes and there was no further output.  I entered Ctrl+C to kill it.
I then plugged the AC power in and tried again.  This time after 10 seconds it produced output:

[11:43:12.985]	device changed:     /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor:               SANYO
  model:                DELL Y1FGD3B
  serial:               296
  power supply:         yes
  updated:              Sun Dec 29 11:43:12 2013 (0 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               charging
    energy:              53.7984 Wh
    energy-empty:        0 Wh
    energy-full:         59.8464 Wh
    energy-full-design:  60.192 Wh
    energy-rate:         14.04 W
    voltage:             16.321 V
    time to full:        25.8 minutes
    percentage:          89.8941%
    capacity:            99.4258%
    technology:          lithium-ion
  History (charge):
    1388331792	89.894	charging
    1388331787	89.870	discharging
    1388331787	0.000	unknown
  History (rate):
    1388331790	14.040	charging
    1388331788	0.014	charging
    1388331787	13.680	discharging
    1388331787	0.000	unknown

The upower.service is marked as disabled.  I will enable it and try again.

Comment 8 Wolfgang Ulbrich 2013-12-29 16:02:36 UTC
So the culprit is upower, battstat/power applets reads the values from upower.
I hope you agree with me to re-asign this report to upower.

Comment 9 pgaltieri 2013-12-29 16:05:37 UTC
I enabled and started upower.service.

I powered the system off and back on.  On login I again ran

upower --monitor-detail

again there was no output after a minute of waiting.  Again the power-manager-applet is not displayed in the notification area, and the battery applet shows I'm running on AC despite the fact the cable is not plugged in.

As soon as I plug the AC power cord in then output appears from the upower command and the battery applet reflects the correct state.  Also the power-management-applet appears in the notification area.

So it looks like this is a upower issue as you indicate and I agree that it should be reassigned.

Thank you for your assistance.

Comment 10 Fedora End Of Life 2015-01-09 20:55:13 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-02-17 19:44:09 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Wolfgang Ulbrich 2016-11-01 17:43:03 UTC
Issue still exists in f24, see https://bugzilla.redhat.com/show_bug.cgi?id=1389019

Dear packager can you please give some maintenance?

Comment 13 Fedora End Of Life 2017-07-25 18:36:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 11:44:19 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.